onEvent('recipes', e => {

    e.remove({ output: 'bigreactors:basic_reactorcontroller' })
    e.remove({ output: 'bigreactors:basic_reactorcasing' })
    e.remove({ output: 'bigreactors:reinforced_reactorcontroller' })
    e.remove({ output: 'bigreactors:reinforced_reactorcasing' })
    e.remove({ output: 'bigreactors:basic_turbinecontroller' })
    e.remove({ output: 'bigreactors:reinforced_turbinecontroller' })
    e.remove({ output: 'bigreactors:basic_turbinecasing' })
    e.remove({ output: 'bigreactors:reinforced_turbinecasing' })
    e.remove({ output: 'bigreactors:reprocessorcontroller' })
    e.remove({ output: 'bigreactors:reprocessorcasing' })
    e.remove({ output: 'bigreactors:basic_turbinerotorblade' })
    e.remove({ output: 'bigreactors:basic_turbinerotorshaft' })
    e.remove({ output: 'bigreactors:reinforced_turbinerotorblade' })
    e.remove({ output: 'bigreactors:reinforced_turbinerotorshaft' })


    e.shaped('bigreactors:basic_reactorcontroller', [
        '131',
        '242',
        '131'
    ], {
        1: 'industrialforegoing:machine_frame_supreme', 2: 'extendedcrafting:elite_catalyst', 3: 'mekanism:block_uranium', 4: 'bigreactors:benitoite_crystal'
    })

    e.shaped('4x bigreactors:basic_reactorcasing', [
        '121',
        '232',
        '121'
    ], {
        1: 'industrialforegoing:machine_frame_supreme', 2: Item.of('immersiveengineering:graphite_electrode', '{graphDmg:0}'), 3: 'mekanism:block_steel'
    })

    e.shaped('bigreactors:reinforced_reactorcontroller', [
        '121',
        '232',
        '121'
    ], {
        1: 'mekanismmatter:naquadah_block', 3: 'bigreactors:basic_reactorcontroller', 2: 'mekanism:block_steel'
    })
    e.shaped('bigreactors:reinforced_reactorcasing', [
        '121',
        '232',
        '121'
    ], {
        1: 'mekanismmatter:naquadah', 2: 'mekanism:ingot_steel', 3: 'bigreactors:basic_reactorcasing'
    })

    e.shaped('bigreactors:basic_turbinecontroller', [
        '131',
        '242',
        '131'
    ], {
        1: 'industrialforegoing:machine_frame_supreme', 2: 'extendedcrafting:ultimate_catalyst', 3: 'bigreactors:cyanite_block', 4: 'bigreactors:anglesite_crystal'
    })
    e.shaped('bigreactors:reinforced_turbinecontroller', [
        '121',
        '232',
        '121'
    ], {
        1: 'mekanismmatter:naquadah_block', 3: 'bigreactors:basic_turbinecontroller', 2: 'mekanism:block_steel'
    })

    e.shaped('6x bigreactors:basic_turbinecasing', [
        '121',
        '232',
        '121'
    ], {
        1: 'industrialforegoing:machine_frame_supreme', 2: 'bigreactors:basic_reactorcasing', 3: 'bigreactors:cyanite_block'
    })

    e.shaped('bigreactors:reinforced_turbinecasing', [
        '121',
        '232',
        '121'
    ], {
        1: 'mekanismmatter:naquadah', 2: 'mekanism:ingot_steel', 3: 'bigreactors:basic_turbinecasing'
    })

    e.shaped('4x bigreactors:reprocessorcasing', [
        '121',
        '232',
        '121'
    ], {
        1: 'mekanism:block_steel', 2: 'bigreactors:cyanite_ingot', 3: 'industrialforegoing:machine_frame_supreme'
    })

    e.shaped('bigreactors:reprocessorcontroller', [
        '121',
        '345',
        '121'
    ], {
        1: 'bigreactors:reprocessorcasing', 2: 'pneumaticcraft:huge_tank', 3: 'bigreactors:benitoite_crystal', 4: 'industrialforegoing:machine_frame_supreme', 5: 'bigreactors:anglesite_crystal'
    })
    e.shaped('bigreactors:basic_turbinerotorblade', [
        '333',
        '121',
        '333'
    ], {
        1: 'mekanism:ingot_osmium', 2: 'bigreactors:cyanite_ingot', 3: 'mekanism:ingot_steel'
    })
    e.shaped('bigreactors:basic_turbinerotorshaft', [
        '313',
        '121',
        '313'
    ], {
        1: 'mekanism:ingot_osmium', 2: 'bigreactors:cyanite_ingot', 3: 'mekanism:ingot_steel'
    })
    e.shaped('bigreactors:reinforced_turbinerotorshaft', [
        '111',
        '121',
        '111'
    ], {
        1: 'mekanism:block_steel', 2: 'bigreactors:basic_turbinerotorshaft'
    })
    e.shaped('bigreactors:reinforced_turbinerotorblade', [
        '111',
        '121',
        '111'
    ], {
        1: 'mekanism:block_steel', 2: 'bigreactors:basic_turbinerotorblade'
    })

})